function u = fem1d_fun_eval(U_func, U_var_cell, x, t)
%============================
% Written by Zhu Wang
%
% To evaluate values of a function at points and certain time instances
% Inputs
% Outputs
%============================
if size(x,2)~=1
    error('Not 1D \n');
end

Var_list =[num2str(sum(strcmp('t',U_var_cell))),...
    num2str(sum(strcmp('x',U_var_cell)))];

switch Var_list 
    case '11'
    u= U_func(t, x);
    case '10'
    u= U_func(t)*ones(size(x));
    case '01'
    u= U_func(x);
    case '00'
    u= U_func(0).*x.^0;
end
