function [rhs_vec_reg,lhs_mat_reg] = burgers1d_two_scale_quadratic_ansatz_dcp_reg_gen(tensor_r,tensor_d,a_snap_r,a_snap_d)
%------------------------------------------
% Assemble LHS and RHS of the least square problem in DD-VMS-ROM
% Intends for the decoupled truncated SVD (dTSVD)
%
% Output:
% rhs_mat is tau of size MXr
% lhs_mat is E matrix of size MX(r+r^2)
%------------------------------------------
[rhs_vec, lhs_mat] = burgers1d_two_scale_quadratic_ansatz_gen(tensor_r,tensor_d,a_snap_r,a_snap_d);

rhs_vec_reg = lhs_mat'*rhs_vec;
lhs_mat_reg = lhs_mat'*lhs_mat;

end