
% add noise
SigmaT   = diag(sqrt(romInfo.res));

M_pred2   = 100; 
Nens      = 100;   
Xens      = zeros(r,tNrom,M_pred2,Nens); 
errMtraj1 = zeros(tNrom,M_pred2,Nens);
err_EnsMean = zeros(tNrom,M_pred2); 
for m =1:M_pred2
    mInd = M_pred-M_pred2+m; 
    Xfom           = a_Mtraj(:,:,mInd); X0 = Xfom(:,1);   
    % stochastic ROM
    for nn= 1:Nens
        X               = runROM_1traj(X0,dt,tNrom-1,romInfo,SigmaT);
        errMtraj1(:,m)  = vecnorm(Xfom - X);
        Xens(:,:,m,nn)  = X; 
    end
    Xens_mean = mean(Xens(:,:,m,:),4); 
    err_EnsMean(:,m) = vecnorm(Xens_mean-Xfom); 
end


ens_traj   = squeeze(Xens(5,:,end,:)); 
traj_true  = a_Mtraj(5,:,mInd); 
ylabel_val = 'a_5(t)'; 
% figure; plot_ensemble_quatile(ens_traj,tt,traj_true,ylabel_val); 


figure(80);clf;  
subplot(121) % trajectory ensemble 
%{
for nn=1:Nens
    h1= plot(tt,squeeze(Xens(5,:,end,nn)), 'c-','linewidth',1); hold on
end
h2 = plot(tt,squeeze(mean(Xens(5,:,end,:),4)), 'r-.','linewidth',1.5); 
h3 = plot(tt,a_Mtraj(5,:,mInd),'k:','linewidth',2); 
xlabel('Time'); ylabel('a_5(t)'); 
legend([h1 h2,h3],'S-ROM','Ensemble mean','FOM','location','best'); 
%}
plot_ensemble_quatile(ens_traj,tt,traj_true,ylabel_val); 

subplot(122)
tind = 1:floor(tNrom/8):tNrom; 
boxplot(err_EnsMean(tind,:)',(tind-1)*dt); xlabel('Time'); ylabel('RMSE'); % title('S-ROM');

figname = 'stocEns'; 
set_positionFontsAll; 

