function M = FEIC_smm1d(MA,N,Nu)
%-----------------------------------------------------------------------
% FEIC (Sparse Mass Multiplication)
%      M (sparse) = Mass (sparse)* diag(Nu)
%-----------------------------------------------------------------------
II = MA.ii;
JJ = MA.jj;
XX = MA.xx;
entry_counter = MA.counter;

M = sparse( II(1:entry_counter), JJ(1:entry_counter),...
    XX(1:entry_counter).*Nu(JJ(1:entry_counter)),...
    N, N );


