function [rhs_vec,lhs_mat] = burgers1d_two_scale_quadratic_ansatz_tsvd_gen(tensor_r,tensor_d,a_snap_r,a_snap_d)
%------------------------------------------
% Assemble LHS and RHS of the least square problem in DD-VMS-ROM
% Intends for the standard truncated SVD (TSVD)
%
% Output:
% rhs_mat is tau of size MrX1
% lhs_mat is E matrix of size MrX(r^2+r^3)
%------------------------------------------

rhs_vec  = burgers1d_tsvd_rhs(tensor_r,tensor_d,a_snap_r,a_snap_d);

lhs_mat = burgers1d_tsvd_lhs_mat(a_snap_r);


end