function [u_r] =burgers1d_closure_rom_newton_online_solver(opt, domain, Mr, Sr, ...
    TildeA,TildeB,...
    u_r0, f0, f1_dW, Tensor_rom,...
    n_save,save_index)

r =size(Mr,1);

u_r    = zeros(r,n_save);
u_r(:,1)=u_r0;

for k=1:n_save
    f1 = f1_dW(:,k);
    u_r1=Burgers1D_ROM_Closure_Newton(opt, domain, Mr, Sr, ...
        TildeA,TildeB,...
        u_r0, f0, f1, Tensor_rom);
    u_r0=u_r1;
    if rem(k,save_index)==0
        u_r(:,k/save_index+1)=u_r1;
    end
end

return